package com.yizhi.studylog.application.service.impl;

import com.yizhi.studylog.application.domain.StudyLog;
import com.yizhi.studylog.application.mapper.StudyLogMapper;
import com.yizhi.studylog.application.service.IStudyLogService;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 学习日志表 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-05-03
 */
@Service
public class StudyLogServiceImpl extends ServiceImpl<StudyLogMapper, StudyLog> implements IStudyLogService {

    @Override
    public Boolean insertList(List<StudyLog> studyLogs) {
        return this.baseMapper.insertList(studyLogs);
    }

    @Override
    public List<StudyLog> selectStudyLogList(String type) {
        return this.baseMapper.selectStudyLogList(type);
    }

    @Override
    public List<String> listSessionId(Long startId) {
        return this.baseMapper.listSessionId(startId);
    }

    @Override
    public Long maxId() {
        return this.baseMapper.maxId();
    }

    @Override
    public Long minId() {
        return this.baseMapper.minId();
    }


}
