package com.yizhi.studylog.application.mapper;

import com.yizhi.studylog.application.domain.StudyLog;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 学习日志表 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-05-03
 */
public interface StudyLogMapper extends BaseMapper<StudyLog> {


    Boolean insertList(@Param("list")List<StudyLog> list);


    List<StudyLog> selectStudyLogList(@Param("type") String type);


    List<String> listSessionId(@Param("startId") Long startId);

    Long maxId();

    Long minId();

}
